Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## escjava.translate
Class ATarget

    java.lang.Object
      escjava.translate.ATarget

public final class ATarget
extends java.lang.Object

Infers more precise loop targets.

Author:
  Cormac Flanagan

Field Summary
`Expr[]` | `indices`
`private static Expr` | `nonConst`
`private static Set` | `targets`
`GenericVarDecl` | `x`

Constructor Summary
`(package private)` | `ATarget(GenericVarDecl x, Expr[] indices)`

Method Summary
`private static void` | `addTarget(GenericVarDecl vd)`
`private static void` | `addTarget(GenericVarDecl vd, Expr index)`
`private static void` | `addTarget(GenericVarDecl vd, Expr[] indices)`
`private static void` | `addTarget(GenericVarDecl vd, Expr index1, Expr index2)`
`private static Expr` | `applyEnv(java.util.Hashtable env, Expr expr)` Returns null if expr not loop constant
`static Set` | `compute(GuardedCmd gc)`
`private static void` | `computeMentionsSet(ASTNode n, Set s)`
`boolean` | `equals(java.lang.Object o)`
`private static void` | `extendEnv(java.util.Hashtable env, GenericVarDecl d, Expr e)`
`private static void` | `F(GuardedCmd g, java.util.Hashtable in, java.util.Hashtable[] out)`
`int` | `hashCode()`
`static boolean` | `mentions(Expr expr, Set s)`
`private static java.util.Hashtable` | `mergeEnv(java.util.Hashtable a, java.util.Hashtable b)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### x

    public GenericVarDecl x

### indices

    public Expr[] indices

### targets

    private static Set targets

### nonConst

    private static Expr nonConst

Constructor Detail

### ATarget

    ATarget(GenericVarDecl x,
            Expr[] indices)

Method Detail

### compute

    public static Set compute(GuardedCmd gc)

### addTarget

    private static void addTarget(GenericVarDecl vd)

### addTarget

    private static void addTarget(GenericVarDecl vd,
                                  Expr index)

### addTarget

    private static void addTarget(GenericVarDecl vd,
                                  Expr index1,
                                  Expr index2)

### addTarget

    private static void addTarget(GenericVarDecl vd,
                                  Expr[] indices)

### equals

    public boolean equals(java.lang.Object o)

### hashCode

    public int hashCode()

### mentions

    public static boolean mentions(Expr expr,
                                   Set s)

### F

    private static void F(GuardedCmd g,
                          java.util.Hashtable in,
                          java.util.Hashtable[] out)

### extendEnv

    private static void extendEnv(java.util.Hashtable env,
                                  GenericVarDecl d,
                                  Expr e)

### mergeEnv

    private static java.util.Hashtable mergeEnv(java.util.Hashtable a,
                                                java.util.Hashtable b)

### applyEnv

    private static Expr applyEnv(java.util.Hashtable env,
                                 Expr expr)

  Returns null if expr not loop constant

### computeMentionsSet

    private static void computeMentionsSet(ASTNode n,
                                           Set s)

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage